create or replace procedure latestTransactionDate
  (midd in varchar2, ldate out date) is
begin
  select max(trans_date) 
  into   ldate 
  from   transaction 
  where  mid = midd;
end;
/
show errors
